package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * ApBridgeConfig
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ApBridgeConfig   {
  @JsonProperty("bridgeSsidName")
  private String bridgeSsidName;

  @JsonProperty("bridgeSsidPassword")
  private String bridgeSsidPassword;

  public ApBridgeConfig bridgeSsidName(String bridgeSsidName) {
    this.bridgeSsidName = bridgeSsidName;
    return this;
  }

  /**
   * Bridge SSID name. It should contain 1 to 32 UTF-8 characters.
   * @return bridgeSsidName
  */
  @ApiModelProperty(required = true, value = "Bridge SSID name. It should contain 1 to 32 UTF-8 characters.")
  @NotNull


  public String getBridgeSsidName() {
    return bridgeSsidName;
  }

  public void setBridgeSsidName(String bridgeSsidName) {
    this.bridgeSsidName = bridgeSsidName;
  }

  public ApBridgeConfig bridgeSsidPassword(String bridgeSsidPassword) {
    this.bridgeSsidPassword = bridgeSsidPassword;
    return this;
  }

  /**
   * Bridge SSID password. It should contain 8-63 printable ASCII characters.
   * @return bridgeSsidPassword
  */
  @ApiModelProperty(required = true, value = "Bridge SSID password. It should contain 8-63 printable ASCII characters.")
  @NotNull


  public String getBridgeSsidPassword() {
    return bridgeSsidPassword;
  }

  public void setBridgeSsidPassword(String bridgeSsidPassword) {
    this.bridgeSsidPassword = bridgeSsidPassword;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApBridgeConfig apBridgeConfig = (ApBridgeConfig) o;
    return Objects.equals(this.bridgeSsidName, apBridgeConfig.bridgeSsidName) &&
        Objects.equals(this.bridgeSsidPassword, apBridgeConfig.bridgeSsidPassword);
  }

  @Override
  public int hashCode() {
    return Objects.hash(bridgeSsidName, bridgeSsidPassword);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApBridgeConfig {\n");
    
    sb.append("    bridgeSsidName: ").append(toIndentedString(bridgeSsidName)).append("\n");
    sb.append("    bridgeSsidPassword: ").append(toIndentedString(bridgeSsidPassword)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

